{ config, pkgs, lib, ... }:
{
  programs.neomutt = {
    enable = true;
    sidebar = {
      enable = true;
      width = 30;
    };
    sort = "reverse-threads";
    vimKeys = true;
    checkStatsInterval = 60;
  };

  programs.mbsync.enable = true;
  programs.notmuch = {
    enable = true;
    hooks = {
      preNew = "mbsync --all";
    };
  };
  # programs.msmtp.enable = true;

  accounts.email = {
    accounts.felix-albrigtsen-it = rec {
      address = "felix@albrigtsen.it";
      userName = address;
      primary = true;
      realName = "Felix Albrigtsen";
      signature = {
        text = ''
          Med vennlig hilsen
          ${realName}
        '';
        showSignature = "append";
      };

      imap.host = "imap.migadu.com";
      smtp.host = "smtp.migadu.com";
      passwordCommand = "cat ~/.secrets/email/migadu"; # yolo / TODO

      mbsync = {
        enable = true;
        create = "maildir"; # Create subfolders locally
        # expugne = "both";
      };
      msmtp.enable = true;
      notmuch.enable = true;
      neomutt.enable = true;
    };
  };
}

